// Bayesian Network
//   Elvira format 

bnet  "test1" { 

// Network Properties

kindofgraph = "directed";
visualprecision = "0.00";
version = 1.0;
default node states = ("present" , "absent");

// Variables 

node X0(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =262;
pos_y =36;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 4.970165348356466;
precision = 2;
}

node X1(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =478;
pos_y =40;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 3.283615000444476;
precision = 2;
}

node X2(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =82;
pos_y =134;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 2.7965492711140776;
precision = 2;
}

node X3(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =597;
pos_y =335;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 4.614065725333502;
precision = 2;
}

node X4(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =560;
pos_y =169;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 1.605171952763381;
precision = 2;
}

node X5(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =58;
pos_y =295;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 1.7312917538620543;
precision = 2;
}

node X6(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =483;
pos_y =246;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 3.6193295596429804;
precision = 2;
}

node X7(finite-states) {
kind-of-node = chance;
type-of-variable = finite-states;
pos_x =676;
pos_y =53;
relevance = 7.0;
purpose = "";
num-states = 2;
states = (0 1);
}

node X8(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =170;
pos_y =362;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 1.1955079087007374;
precision = 2;
}

node X9(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =500;
pos_y =199;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 2.276606311635725;
precision = 2;
}

node X10(finite-states) {
kind-of-node = chance;
type-of-variable = finite-states;
pos_x =287;
pos_y =441;
relevance = 7.0;
purpose = "";
num-states = 3;
states = (0 1 2);
}

node X11(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =634;
pos_y =262;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 1.3665177791714727;
precision = 2;
}

node X12(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =629;
pos_y =161;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 1.0587366951484416;
precision = 2;
}

node X13(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =367;
pos_y =321;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 2.444918217676648;
precision = 2;
}

node X14(continuous) {
kind-of-node = chance;
type-of-variable = continuous;
pos_x =635;
pos_y =408;
relevance = 7.0;
purpose = "";
min = 0.0;
max = 2.1627655156233296;
precision = 2;
}

// Links of the associated graph:

link X1 X7;

link X1 X10;

link X10 X7;

link X7 X4;

link X1 X0;

//Network Relationships: 

relation X0 X1 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X1(0.0, 1.5998123780713684, 2.015929829517174, 3.283615000444476) {
          0 = case X0(0.0, 2.5397544930101543, 3.1610251615547127, 4.970165348356466) {
                    0 = -0.722+0.722* exp( 0.049 * X0);
                    1 = 0.01+3.558E-5* exp( 3.328 * X0)-1.874E-4* exp( 0.08 * X0);
                    2 = -0.613+4.572* exp( -0.404 * X0);
                              } 
          1 = case X0(0.0, 1.8986031630721703, 3.1510848308579997, 4.970165348356466) {
                    0 = -0.719+0.724* exp( -0.0010 * X0)+7.185E-12* exp( -5.126E-6 * X0);
                    1 = 0.213+1.017E-4* exp( 2.933 * X0)-2.2* exp( -1.171 * X0);
                    2 = -0.599+4.624* exp( -0.411 * X0);
                              } 
          2 = case X0(0.0, 1.5059601005520094, 3.1461146655096432, 4.970165348356466) {
                    0 = -0.964+0.971* exp( -0.0050 * X0);
                    1 = -0.878+0.567* exp( 0.29 * X0);
                    2 = 0.0080+0.394* exp( -0.056 * X0)+0.0020* exp( -0.0070 * X0);
                              } 
                    } 

);

}

relation X1 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X1(0.0, 1.8421080152493512, 2.643310075357803, 3.283615000444476) {
          0 = 0.0010+0.057* exp( 1.452 * X1)-1.195E-4* exp( -0.02 * X1);
          1 = 0.0060+42.559* exp( -2.099 * X1)-1.301E-4* exp( -0.042 * X1);
          2 = 1.239-0.854* exp( 0.074 * X1)-3.775E-6* exp( 9.933E-4 * X1);
                    } 

);

}

relation X2 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X2(0.0, 1.7841984349707816, 2.6203666670338905, 2.7965492711140776) {
          0 = 1.544-1.465* exp( -0.071 * X2)-3.138E-4* exp( -0.0030 * X2);
          1 = 0.0040+0.0030* exp( 2.362 * X2)-4.373E-4* exp( -0.01 * X2);
          2 = 1.174-1.779E-21* exp( 16.483 * X2)+0.0010* exp( -0.056 * X2);
                    } 

);

}

relation X3 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X3(0.0, 2.9760723928401087, 3.594357200034798, 4.614065725333502) {
          0 = -0.64+0.641* exp( 0.178 * X3);
          1 = -13.264+20.478* exp( -0.121 * X3)+0.238* exp( -0.788 * X3);
          2 = 0.789+2.368E-8* exp( 3.518 * X3)-0.716* exp( 0.025 * X3);
                    } 

);

}

relation X4 X7 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X7 {
          0 = case X4(0.0, 0.45265849067927344, 0.9919962668077695, 1.605171952763381) {
                    0 = 2.247-2.092* exp( -1.637 * X4)-2.523E-4* exp( -0.012 * X4);
                    1 = 0.0070+4.465* exp( -2.563 * X4)-1.631E-4* exp( -0.069 * X4);
                    2 = 1.497-1.042* exp( 0.047 * X4)-5.904E-6* exp( 9.956E-4 * X4);
                              } 
          1 = case X4(0.0, 0.42697573943505934, 0.8218480398148511, 1.605171952763381) {
                    0 = 3.135-3.034* exp( -1.06 * X4)+0.019* exp( 7.696 * X4);
                    1 = 0.013+10.387* exp( -4.047 * X4)-4.949E-4* exp( -0.153 * X4);
                    2 = 1.517-0.789* exp( 0.325 * X4)-1.733E-5* exp( 0.0030 * X4);
                              } 
                    } 

);

}

relation X5 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X5(0.0, 0.7963942067765449, 1.535655785675642, 1.7312917538620543) {
          0 = 1.518-1.223* exp( 0.082 * X5)-1.251E-5* exp( 0.0020 * X5);
          1 = 0.018+0.013* exp( 3.233 * X5)-0.0010* exp( 0.133 * X5);
          2 = 1.461-7.606E-12* exp( 14.245 * X5)+0.0040* exp( -0.097 * X5);
                    } 

);

}

relation X6 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X6(0.0, 0.6985306050110952, 2.012347235161497, 3.6193295596429804) {
          0 = 1.745-1.456* exp( -0.375 * X6)-5.586E-5* exp( -0.0040 * X6);
          1 = 0.0090+2.379* exp( -1.631 * X6)-2.047E-4* exp( -0.032 * X6);
          2 = 1.371-1.488* exp( -0.073 * X6)-3.442E-7* exp( -1.53E-4 * X6);
                    } 

);

}

relation X7 X1 X10 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X1(0.005598806534946346, 1.5998123780713684, 2.015929829517174, 3.2593481927644254) {
          0 = case X10 {
                    0 = case X7 {
                              0 = 0.177;
                              1 = 0.824;
                                        } 
                    1 = case X7 {
                              0 = 0.213;
                              1 = 0.788;
                                        } 
                    2 = case X7 {
                              0 = 0.625;
                              1 = 0.375;
                                        } 
                              } 
          1 = case X10 {
                    0 = case X7 {
                              0 = 0.25;
                              1 = 0.75;
                                        } 
                    1 = case X7 {
                              0 = 0.234;
                              1 = 0.766;
                                        } 
                    2 = case X7 {
                              0 = 0.267;
                              1 = 0.733;
                                        } 
                              } 
          2 = case X10 {
                    0 = case X7 {
                              0 = 0.375;
                              1 = 0.625;
                                        } 
                    1 = case X7 {
                              0 = 0.268;
                              1 = 0.732;
                                        } 
                    2 = case X7 {
                              0 = 0.3;
                              1 = 0.7;
                                        } 
                              } 
                    } 

);

}

relation X8 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X8(0.0, 0.3132230720795932, 0.6682889209637122, 1.1955079087007374) {
          0 = 2.489-2.218* exp( -2.485 * X8)+2.114E-6* exp( -0.0010 * X8);
          1 = 7.017E-4+3.534* exp( -2.651 * X8)-2.628E-4* exp( -0.013 * X8);
          2 = 1.802-1.141* exp( -6.227E-5 * X8)+7.163E-11* exp( -8.044E-7 * X8);
                    } 

);

}

relation X9 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X9(0.0, 0.7968122090725037, 1.4114959132141496, 2.276606311635725) {
          0 = -2.3E-4+0.04* exp( 1.664 * X9)+9.145E-6* exp( 0.012 * X9);
          1 = 0.0050+0.013* exp( 3.092 * X9)-1.058E-5* exp( 0.015 * X9);
          2 = 0.013+0.333* exp( 0.433 * X9)+2.373E-5* exp( 0.019 * X9);
                    } 

);

}

relation X10 X1 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X1(0.005598806534946346, 1.5998123780713684, 2.015929829517174, 3.2593481927644254) {
          0 = case X10 {
                    0 = 0.277;
                    1 = 0.664;
                    2 = 0.059;
                              } 
          1 = case X10 {
                    0 = 0.358;
                    1 = 0.525;
                    2 = 0.117;
                              } 
          2 = case X10 {
                    0 = 0.258;
                    1 = 0.583;
                    2 = 0.158;
                              } 
                    } 

);

}

relation X11 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X11(0.0, 1.0071236032493753, 1.2626624279544407, 1.3665177791714727) {
          0 = 0.024+0.023* exp( 4.285 * X11)-0.0080* exp( -0.041 * X11);
          1 = 0.0010+0.03* exp( 3.435 * X11)-1.157E-4* exp( -0.016 * X11);
          2 = 2.146-2.794E-18* exp( 29.251 * X11)+0.021* exp( -0.349 * X11);
                    } 

);

}

relation X12 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X12(0.0, 0.5579542383432288, 0.7845238911049952, 1.0587366951484416) {
          0 = 0.0030+0.178* exp( 4.048 * X12)-2.447E-4* exp( -0.014 * X12);
          1 = 2.888E-4+5.676* exp( -2.353 * X12)-1.223E-4* exp( -0.014 * X12);
          2 = 2.661-5.623* exp( -1.544 * X12)-0.0050* exp( -0.091 * X12);
                    } 

);

}

relation X13 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X13(0.0, 1.753006362074157, 2.3031129610514025, 2.444918217676648) {
          0 = 0.011+0.02* exp( 1.838 * X13)-0.0030* exp( -0.01 * X13);
          1 = 0.0020+0.0020* exp( 3.074 * X13)+2.622E-5* exp( -9.902E-4 * X13);
          2 = 1.635-2.836E-25* exp( 22.657 * X13)+1.528E-4* exp( -0.027 * X13);
                    } 

);

}

relation X14 { 
comment = "new";
kind-of-relation = potential;
deterministic=false;
values= continuous-tree ( 
case X14(0.0, 1.481494378201981, 2.04597617777967, 2.1627655156233296) {
          0 = 0.0060+0.018* exp( 2.203 * X14)-2.848E-4* exp( 0.034 * X14);
          1 = 0.01+5.935E-4* exp( 4.084 * X14)-0.0030* exp( -0.039 * X14);
          2 = 2.112-2.993E-25* exp( 25.705 * X14)+1.8E-4* exp( -0.035 * X14);
                    } 

);

}

}
