// Bayesian Network
// Elvira format 

bnet  Continuous1 { 

// Network Properties

version = 1.0;
default node states = (absent , present);


// Network Variables 

node Z(continuous) {
title = "Z";
kind-of-node = chance;
type-of-variable = continuous;
pos_x =201;
pos_y =118;
relevance = 7.0;
min = -3.0;
max = 3.0;
}

node Y(finite-states) {
title = "Y";
kind-of-node = chance;
type-of-variable = finite-states;
pos_x =201;
pos_y =128;
relevance = 7.0;
states = (0 1);
}


// links of the associated graph:

link Z Y;


// Relations;

relation Z {
kind-of-relation = potential;
values= continuous-tree (
case Z(-3.0,-1.0,0.0,1.0,3.0) {
0=-0.0172+0.931*exp(1.27*Z);
1=0.442-0.385*exp(-1.64*Z);
2=0.442-0.385*exp(1.64*Z);
3=-0.0172+0.9314*exp(1.27*Z);
}
);
}

relation Y Z {
kind-of-relation = potential;
values= continuous-tree (
case Y {
0=case Z(-3.0,0.0,3.0) {
0=1.0217-0.522*exp(0.635*Z);
1=-0.0217+0.522*exp(-0.635*Z);
}
1=case Z(-3.0,0.0,3.0) {
0=-0.0217+0.522*exp(0.635*Z);
1=1.0217-0.522*exp(-0.635*Z);
}
}
);
}

}